[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# secant

Calculate secant

## Declaration

Source position: math.pp line 273

`function secant(`
`x: float`
`):float;`

## Description

Secant calculates the secant (1/cos(x)) of its argument x.

## Errors

If 90 or 270 degrees is specified, an exception will be raised.

## See also

cosecant |  | Calculate cosecant

Documentation generated on: Feb 26 2014